Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.transaction
Class JoinableCMTTransactionFactory

    java.lang.Object
      org.hibernate.transaction.CMTTransactionFactory
          org.hibernate.ejb.transaction.JoinableCMTTransactionFactory

All Implemented Interfaces:
  org.hibernate.transaction.TransactionFactory

    public class JoinableCMTTransactionFactory

extends org.hibernate.transaction.CMTTransactionFactory

A transaction is in progress if the underlying JTA tx is in progress and if the Tx is marked as MARKED_FOR_JOINED

Author:
  Emmanuel Bernard

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.transaction.TransactionFactory
`org.hibernate.transaction.TransactionFactory.Context`

Constructor Summary
`JoinableCMTTransactionFactory()`

Method Summary
`org.hibernate.Transaction` | `createTransaction(org.hibernate.jdbc.JDBCContext jdbcContext, org.hibernate.transaction.TransactionFactory.Context transactionContext)`
`boolean` | `isTransactionInProgress(org.hibernate.jdbc.JDBCContext jdbcContext, org.hibernate.transaction.TransactionFactory.Context transactionContext, org.hibernate.Transaction transaction)`

Methods inherited from class org.hibernate.transaction.CMTTransactionFactory
`areCallbacksLocalToHibernateTransactions, configure, getDefaultReleaseMode, isTransactionManagerRequired`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JoinableCMTTransactionFactory

    public JoinableCMTTransactionFactory()

Method Detail

### createTransaction

    public org.hibernate.Transaction createTransaction(org.hibernate.jdbc.JDBCContext jdbcContext,
                                                       org.hibernate.transaction.TransactionFactory.Context transactionContext)
                                                throws org.hibernate.HibernateException

  Specified by:
    `createTransaction` in interface `org.hibernate.transaction.TransactionFactory`
  Overrides:
    `createTransaction` in class `org.hibernate.transaction.CMTTransactionFactory`
  Throws:
    `org.hibernate.HibernateException`

### isTransactionInProgress

    public boolean isTransactionInProgress(org.hibernate.jdbc.JDBCContext jdbcContext,
                                           org.hibernate.transaction.TransactionFactory.Context transactionContext,
                                           org.hibernate.Transaction transaction)

  Specified by:
    `isTransactionInProgress` in interface `org.hibernate.transaction.TransactionFactory`
  Overrides:
    `isTransactionInProgress` in class `org.hibernate.transaction.CMTTransactionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD